Update a pricing calculator
curl --request PATCH \
--url https://api.journeybee.io/v1/pricing-calculators/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"currency_uuid": "<string>",
"display_settings": {
"showProductBreakdown": true,
"showDiscounts": true,
"showRecurringTotal": true,
"submitButtonText": "<string>",
"successMessage": "<string>",
"billingPeriods": [],
"periodDiscounts": {}
}
}
'import requests
url = "https://api.journeybee.io/v1/pricing-calculators/{uuid}"
payload = {
"name": "<string>",
"description": "<string>",
"currency_uuid": "<string>",
"display_settings": {
"showProductBreakdown": True,
"showDiscounts": True,
"showRecurringTotal": True,
"submitButtonText": "<string>",
"successMessage": "<string>",
"billingPeriods": [],
"periodDiscounts": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
currency_uuid: '<string>',
display_settings: {
showProductBreakdown: true,
showDiscounts: true,
showRecurringTotal: true,
submitButtonText: '<string>',
successMessage: '<string>',
billingPeriods: [],
periodDiscounts: {}
}
})
};
fetch('https://api.journeybee.io/v1/pricing-calculators/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"display_settings": {
"showProductBreakdown": true,
"showDiscounts": true,
"showRecurringTotal": true,
"submitButtonText": "<string>",
"successMessage": "<string>",
"billingPeriods": [],
"periodDiscounts": {}
},
"currency": {
"uuid": "<string>",
"code": "<string>",
"label": "<string>"
},
"fields_count": 123,
"products_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"fields": [
{
"uuid": "<string>",
"label": "<string>",
"variable_name": "<string>",
"required": true,
"sort_order": 123,
"field_config": {
"min": 123,
"max": 123,
"step": 123,
"default": 123,
"options": [
{
"value": "<string>",
"label": "<string>",
"priceModifier": 123
}
],
"defaultChecked": true
},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"products": [
{
"uuid": "<string>",
"sort_order": 123,
"quantity_fixed": 123,
"quantity_variable_name": "<string>",
"quantity_condition": "<string>",
"quantity_if_true": 123,
"quantity_if_false": 123,
"price_override": 123,
"is_optional": true,
"is_included_by_default": true,
"quantity_editable": true,
"anchor_field_id": 123,
"product": {
"uuid": "<string>",
"name": "<string>",
"sku": "<string>",
"price": 123,
"currency_code": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"formulas": [
{
"uuid": "<string>",
"name": "<string>",
"condition": "<string>",
"value": 123,
"formula_config": {
"condition": {
"variable_name": "<string>",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 4503599627370495
},
"when_false": {
"mode": "flat",
"amount": 4503599627370495
},
"no_charge_when_zero": true
},
"selected_product_uuid": "<string>",
"sort_order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Pricing Calculators
Update a pricing calculator
PATCH
/
pricing-calculators
/
{uuid}
Update a pricing calculator
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
draft, live, archived Display and billing configuration for the pricing calculator.
Show child attributes
Show child attributes
Available options:
disabled, lead_only, lead_with_products, lead_with_quote Response
200 - application/json
Default Response
Available options:
draft, live, archived Available options:
disabled, lead_only, lead_with_products, lead_with_quote Display and billing configuration for the pricing calculator.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I